Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 0 reacties
Bron: Samba, submitter: sybrenw

Samba draait op Unix-, BSD- en Linux-machines en is in staat om file- en printerservices volgens het cifs-protocol aan Windows-clients te leveren. Voor de documentatie over het hoe en wat van Samba kun je een kijkje nemen op deze pagina. De ontwikkelaars hebben versie 3.4.11 uitgebracht voorzien van de volgende veranderingen sinds de vorige vermelding in de Meuktracker:

Version 3.4.11

This is the latest stable release of Samba 3.4. It addresses the following issue introduced with Samba 3.4.10:
  • Fix connecting to port-139 only servers (bug 7881).
Version 3.4.10

Major enhancements in Samba 3.4.10 include:
  • Fix smbd coredump (bug #7617).
  • Fix Winbind internal error (bug #7636).
  • Fix flaky Winbind against w2k8 (bug #7881).
Version 3.4.9

This is a security release in order to address CVE-2010-3069.

CVE-2010-3069: All current released versions of Samba are vulnerable to a buffer overrun vulnerability. The sid_parse() function (and related dom_sid_parse() function in the source4 code) do not correctly check their input lengths when reading a binary representation of a Windows SID (Security ID). This allows a malicious client to send a sid that can overflow the stack variable that is being used to store the SID in the Samba smbd server.

Version 3.4.8

Major enhancements in Samba 3.4.8 include:
  • Fix Winbind reconnection to it's own domain (bug #7295).
  • Fix an uninitialized variable read in smbd (bug #7254).
  • Fix smbd crash with CUPS printers and no [printers] share defined (bug #7297).
  • Fix NULL pointer dereference in smbd (bug #7229).
Version 3.4.7

This is a security release in order to address CVE-2010-0728.

CVE-2010-0728: In Samba releases 3.5.0, 3.4.6 and 3.3.11, new code was added to fix a problem with Linux asynchronous IO handling. This code introduced a bad security flaw on Linux platforms if the binaries were built on Linux platforms with libcap support. The flaw caused all smbd processes to inherit CAP_DAC_OVERRIDE capabilities, allowing all file system access to be allowed even when permissions should have denied access.
Versienummer:3.4.11
Releasestatus:Final
Besturingssystemen:Linux, BSD, macOS, Solaris, UNIX
Website:Samba
Download:http://download.samba.org/samba/ftp/
Licentietype:GPL
Moderatie-faq Wijzig weergave

Reacties


Er zijn nog geen reacties geplaatst

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True